API referencePlatformPlatform billing
Per-project inspect of a subscription
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
billing_account_id*string
Format
uuidid*string
Format
uuidHeader Parameters
X-Project-Id*string
UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/platform/v1/billing/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08/497f6eca-6276-4993-bfeb-53cbbbba6f08/inspect" \ -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"{ "amount_minor": 0, "billing_account_id": "db2251e5-5308-40a7-9f48-3aed5a9ce736", "cancel_at_period_end": true, "canceled_at": "2019-08-24T14:15:22Z", "currency": "string", "current_period_end": "2019-08-24T14:15:22Z", "current_period_start": "2019-08-24T14:15:22Z", "grace_period_end": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "plan_id": "00713021-9aea-41da-9a88-87760c08fa72", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "state_reason": "new_purchase", "status": "pending", "trial_end_at": "2019-08-24T14:15:22Z", "vendor_type": "stripe"}{ "detail": "Pool slug must be unique.", "instance": "urn:forestvpn:trace:a1b2c3d4", "title": "Validation Error", "type": "https://fvpn.net/errors/validation"}{ "detail": "Pool slug must be unique.", "instance": "urn:forestvpn:trace:a1b2c3d4", "title": "Validation Error", "type": "https://fvpn.net/errors/validation"}Platform_extend_subscription POST
Previous Page
(GAP-14) Grant a fresh trial subscription on the target billing account. Thin over `SubscriptionService::grant_trial`. The new subscription is keyed only by `billing_account_id` (no existing subscription id), matching the `@forestvpn/billing` client path `.../{billing_account_id}/grant-trial`. POST
Next Page